package com.truckitin.core.mapper

import android.content.Context
import com.truckitin.core.R

/**
 * if we dont have localised name we will return the default name un localised
 * @param context
 * @param id id of the city
 * @param default incase we dont have localised we wil return default
 */
fun getNameOfCity(context: Context, id: Int, default: String?): String {
    return when (id) {
        1 -> context.getString(R.string.karachi)
        2 -> context.getString(R.string.lahore)
        3 -> context.getString(R.string.islamabad)
        4 -> context.getString(R.string.faisalabad)
        5 -> context.getString(R.string.rawalpindi)
        6 -> context.getString(R.string.Abbottabad)
        7 -> context.getString(R.string.Ahmadpur)
        8 -> context.getString(R.string.Arifwala)
        9 -> context.getString(R.string.Attock)
        10 -> context.getString(R.string.Badin)
        11 -> context.getString(R.string.Bagh_AJK)
        12 -> context.getString(R.string.Bahawalnagar)
        13 -> context.getString(R.string.Bahawalpur)
        14 -> context.getString(R.string.Baldher)
        15 -> context.getString(R.string.Bannu)
        16 -> context.getString(R.string.Bhai_Pheru)
        17 -> context.getString(R.string.Bhakkar)
        18 -> context.getString(R.string.Bhalwal)
        19 -> context.getString(R.string.Bhimber)
        20 -> context.getString(R.string.Bhurban)
        21 -> context.getString(R.string.Burewala)
        22 -> context.getString(R.string.Burhan)
        23 -> context.getString(R.string.Chakwal)
        24 -> context.getString(R.string.Chaman)
        25 -> context.getString(R.string.Changa_Manga)
        26 -> context.getString(R.string.Charsadda)
        27 -> context.getString(R.string.Chawinda)
        28 -> context.getString(R.string.Chichawatni)
        29 -> context.getString(R.string.Chichoki_Mallian)
        30 -> context.getString(R.string.Chilas)
        31 -> context.getString(R.string.Chiniot)
        32 -> context.getString(R.string.Chishtian)
        33 -> context.getString(R.string.Chitral)
        34 -> context.getString(R.string.Dadu)
        35 -> context.getString(R.string.Daharki)
        36 -> context.getString(R.string.Dalbandin)
        37 -> context.getString(R.string.Dargai)
        38 -> context.getString(R.string.Daska)
        39 -> context.getString(R.string.DG_Khan)
        40 -> context.getString(R.string.DI_Khan)
        41 -> context.getString(R.string.Dir)
        42 -> context.getString(R.string.Esakhel)
        43 -> context.getString(R.string.Gadoon)
        44 -> context.getString(R.string.Garhi_Habibullah_Khan)
        45 -> context.getString(R.string.Ghakhar)
        46 -> context.getString(R.string.Ghotki)
        47 -> context.getString(R.string.Gilgit)
        48 -> context.getString(R.string.Gojra)
        49 -> context.getString(R.string.Gujar_Khan)
        50 -> context.getString(R.string.Gujranwala)
        51 -> context.getString(R.string.Gujrat)
        52 -> context.getString(R.string.Gwadar)
        53 -> context.getString(R.string.Hafizabad)
        54 -> context.getString(R.string.Haripur)
        55 -> context.getString(R.string.Hasilpur)
        56 -> context.getString(R.string.Hassanabdal)
        57 -> context.getString(R.string.Hattar)
        58 -> context.getString(R.string.Havelian)
        59 -> context.getString(R.string.Hub)
        60 -> context.getString(R.string.Humak)
        61 -> context.getString(R.string.Hyderabad)
        62 -> context.getString(R.string.Jacobabad)
        63 -> context.getString(R.string.Jahania)
        64 -> context.getString(R.string.Jalalpur)
        65 -> context.getString(R.string.Jam_Shoro)
        66 -> context.getString(R.string.Jamrud)
        67 -> context.getString(R.string.Jaranwala)
        68 -> context.getString(R.string.Jauharabad)
        69 -> context.getString(R.string.Jhal_Magsi)
        70 -> context.getString(R.string.Jhang)
        71 -> context.getString(R.string.Jhelum)
        72 -> context.getString(R.string.Jiwani)
        73 -> context.getString(R.string.Kabirwala)
        74 -> context.getString(R.string.Kadanwari)
        75 -> context.getString(R.string.Kahuta)
        76 -> context.getString(R.string.Kala_Shah_Kaku)
        77 -> context.getString(R.string.Kalat)
        78 -> context.getString(R.string.Kallar_Kahar)
        79 -> context.getString(R.string.Kalor_Kott)
        80 -> context.getString(R.string.Kamalia)
        81 -> context.getString(R.string.Kambar)
        82 -> context.getString(R.string.Kamoke)
        83 -> context.getString(R.string.Kandkhot)
        84 -> context.getString(R.string.Kashmor)
        85 -> context.getString(R.string.Kasur)
        86 -> context.getString(R.string.Keti_Bandar)
        87 -> context.getString(R.string.Khairpur)
        88 -> context.getString(R.string.Khanewal)
        89 -> context.getString(R.string.Khanpur)
        90 -> context.getString(R.string.Kharian)
        91 -> context.getString(R.string.Khewra)
        92 -> context.getString(R.string.Khipro)
        93 -> context.getString(R.string.Khokhropar)
        94 -> context.getString(R.string.Khushab)
        95 -> context.getString(R.string.Khuzdar)
        96 -> context.getString(R.string.Kiamari)
        97 -> context.getString(R.string.Kohat)
        98 -> context.getString(R.string.Kohlu)
        99 -> context.getString(R.string.Kot_Addu)
        100 -> context.getString(R.string.Kot_Lakhpat)
        101 -> context.getString(R.string.Kotli_AJK)
        102 -> context.getString(R.string.Kotri)
        103 -> context.getString(R.string.Lakki_Marwat)
        104 -> context.getString(R.string.Lalamusa)
        105 -> context.getString(R.string.Landhi)
        106 -> context.getString(R.string.Larkana)
        107 -> context.getString(R.string.Lasbela)
        108 -> context.getString(R.string.Lodhran)
        109 -> context.getString(R.string.Lora_Lai)
        110 -> context.getString(R.string.Malakand)
        111 -> context.getString(R.string.Mandi_Bahauddin)
        112 -> context.getString(R.string.Mandi_Burewala)
        113 -> context.getString(R.string.Mandi_Faizabad)
        114 -> context.getString(R.string.Manga)
        115 -> context.getString(R.string.Manga_Mandi)
        116 -> context.getString(R.string.Mangla)
        117 -> context.getString(R.string.Mansehra)
        118 -> context.getString(R.string.Mardan)
        119 -> context.getString(R.string.Matli)
        120 -> context.getString(R.string.Mehrabpur)
        121 -> context.getString(R.string.Mian_Channu)
        122 -> context.getString(R.string.Mianwali)
        123 -> context.getString(R.string.Mingora)
        124 -> context.getString(R.string.Mirpur_Khas)
        125 -> context.getString(R.string.Mirpur_Mathelo)
        126 -> context.getString(R.string.Mirpur_AJK)
        127 -> context.getString(R.string.Moro)
        128 -> context.getString(R.string.Multan)
        129 -> context.getString(R.string.Muridke)
        130 -> context.getString(R.string.Muzaffarabad)
        131 -> context.getString(R.string.Muzaffargarh)
        132 -> context.getString(R.string.Nankana_Sahib)
        133 -> context.getString(R.string.Narowal)
        134 -> context.getString(R.string.Nawabshah)
        135 -> context.getString(R.string.Nazimabad)
        136 -> context.getString(R.string.Nooriabad)
        137 -> context.getString(R.string.Nowshera)
        138 -> context.getString(R.string.Okara)
        139 -> context.getString(R.string.Other)
        140 -> context.getString(R.string.Pabbi)
        141 -> context.getString(R.string.Panjgur)
        142 -> context.getString(R.string.Pano_Aqil)
        143 -> context.getString(R.string.Para_Chinar)
        144 -> context.getString(R.string.Pasni)
        145 -> context.getString(R.string.Pattoki)
        146 -> context.getString(R.string.Peshawar)
        147 -> context.getString(R.string.Poonch_AJK)
        148 -> context.getString(R.string.Qambar_Ali_Khan)
        149 -> context.getString(R.string.Qasimabad)
        150 -> context.getString(R.string.Quetta)
        151 -> context.getString(R.string.Rahim_Yar_Khan)
        152 -> context.getString(R.string.Raiwind)
        153 -> context.getString(R.string.Rajanpur)
        154 -> context.getString(R.string.Rawala_Kot)
        155 -> context.getString(R.string.Rawat)
        156 -> context.getString(R.string.Reko_Diq)
        157 -> context.getString(R.string.Risalpur_Cantt)
        158 -> context.getString(R.string.Rohri)
        159 -> context.getString(R.string.Sadikabad)
        160 -> context.getString(R.string.Sahiwal)
        161 -> context.getString(R.string.Saidu_Sharif)
        162 -> context.getString(R.string.Samasata)
        163 -> context.getString(R.string.Sambrial)
        164 -> context.getString(R.string.Sammundri)
        165 -> context.getString(R.string.Sanghar)
        166 -> context.getString(R.string.Sangla_Hill)
        167 -> context.getString(R.string.Sarai_Alamgir)
        168 -> context.getString(R.string.Sargodha)
        169 -> context.getString(R.string.Sawan)
        170 -> context.getString(R.string.Sehwen_Sharif)
        171 -> context.getString(R.string.Shabqadar)
        172 -> context.getString(R.string.Shahdadpur)
        173 -> context.getString(R.string.Shahdara)
        174 -> context.getString(R.string.Sheikhupura)
        175 -> context.getString(R.string.Shikarpur)
        176 -> context.getString(R.string.Shorkot)
        177 -> context.getString(R.string.Sialkot)
        178 -> context.getString(R.string.Sibi)
        179 -> context.getString(R.string.Skardu)
        180 -> context.getString(R.string.Sui)
        181 -> context.getString(R.string.Sukkur)
        182 -> context.getString(R.string.Swabi)
        183 -> context.getString(R.string.Swat)
        184 -> context.getString(R.string.Taftan)
        185 -> context.getString(R.string.Tajirpur)
        186 -> context.getString(R.string.Talagang)
        187 -> context.getString(R.string.Tando_Adam)
        188 -> context.getString(R.string.Tando_Allahyar)
        189 -> context.getString(R.string.Tarbela)
        190 -> context.getString(R.string.Tarnol)
        191 -> context.getString(R.string.Taxila)
        192 -> context.getString(R.string.Thatta)
        193 -> context.getString(R.string.Thul)
        194 -> context.getString(R.string.Timargara)
        195 -> context.getString(R.string.Toba_Tek_Singh)
        196 -> context.getString(R.string.Torkham)
        197 -> context.getString(R.string.Turbat)
        198 -> context.getString(R.string.Uthal)
        199 -> context.getString(R.string.Vehari)
        200 -> context.getString(R.string.Wagah)
        201 -> context.getString(R.string.Wah_Cantt)
        202 -> context.getString(R.string.Wana)
        203 -> context.getString(R.string.Warsak)
        204 -> context.getString(R.string.Wazirabad)
        205 -> context.getString(R.string.Zhob)
        206 -> context.getString(R.string.Ziarat)
        else -> default ?: ""
    }
}

fun getListOfCityIds() = (1..206).toList()
